> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Quote

> Accepts the quote received by the quote request and creates an order with the provided quote ID.

Always required: portfolio_id, product_id, side, quote_id, client_quote_id.



## OpenAPI

````yaml POST /v1/portfolios/{portfolio_id}/accept_quote
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/accept_quote:
    post:
      tags:
        - Orders
      summary: Accept Quote
      description: >-
        Accepts the quote received by the quote request and creates an order
        with the provided quote ID.


        Always required: portfolio_id, product_id, side, quote_id,
        client_quote_id.
      operationId: PrimeRESTAPI_AcceptQuote
      parameters:
        - name: portfolio_id
          in: path
          description: The ID of the portfolio that owns the order
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - client_order_id
                - product_id
                - quote_id
                - side
              type: object
              properties:
                product_id:
                  title: >-
                    The ID of the product being traded for the order (e.g.
                    `BTC-USD`)
                  type: string
                side:
                  $ref: '#/components/schemas/coinbase.public_rest_api.OrderSide'
                client_order_id:
                  type: string
                  description: >-
                    A client-generated ID used for reference purposes (note:
                    order will be rejected if this ID is not unique among all
                    currently active orders)
                  example: f69a20b1-4ac4-420e-90b5-814a12565bfa
                quote_id:
                  type: string
                  description: A quote id that was returned from the quote request
                  example: f69a20b1-4ac4-420e-90b5-814a12565bfa
                settl_currency:
                  title: 'next: 7'
                  type: string
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.AcceptQuoteResponse
components:
  schemas:
    coinbase.public_rest_api.OrderSide:
      title: Order side
      type: string
      description: |-
        - UNKNOWN_ORDER_SIDE: nil value
         - BUY: Buy order
         - SELL: Sell order
      enum:
        - BUY
        - SELL
    coinbase.public_rest_api.AcceptQuoteResponse:
      type: object
      properties:
        order_id:
          type: string

````